Bug 197688 - Review Request: inotify-tools - Command line utilities for inotify
Summary: Review Request: inotify-tools - Command line utilities for inotify
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael J Knox
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-07-05 15:16 UTC by Dawid Gajownik
Modified: 2014-09-10 10:13 UTC (History)
4 users (show)

Fixed In Version: inotify-tools-3.14-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 16:06:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Dawid Gajownik 2006-07-05 15:16:03 UTC
Spec URL: http://fedora.pl/~gajownik/inotify-tools.spec
SRPM URL: http://fedora.pl/~gajownik/inotify-tools-2.1-1.src.rpm
Description: inotify-tools is a set of command line utilities for the Linux inotify
filesystem change notification system.

This is quite simple package so review should be easy ;-) I only don't know how to fix this build warning:

In file included from inotifywait.c:17:
inotify-syscalls.h: In function 'inotify_init':
inotify-syscalls.h:55: warning: implicit declaration of function 'syscall'

inotify-syscalls.h includes sys/syscall.h and unistd.h. Have I missed something?

Comment 1 Parag AN(पराग) 2006-07-06 04:17:35 UTC
Not an official review as I'm not yet sponsored
Mock build for development i386 is sucessfull
MUST Items:
     - MUST: rpmlint shows no error. 
     - MUST: dist tag is present.
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package inotify-tools, in the
format inotify-tools.spec.
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: This package includes License file COPYING.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct (8053f441fc3fe0f0c73cf483399da17b)
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like README.
      - MUST: Package did NOT contained any .la libtool archives.
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct



Comment 2 Dawid Gajownik 2006-07-06 08:52:52 UTC
Thanks for the review!

Today was released new version so here's an updated package:

http://fedora.pl/~gajownik/inotify-tools.spec
http://fedora.pl/~gajownik/inotify-tools-2.2-1.src.rpm

* Thu Jul  6 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.2-1
- New version 2.2
- Update URL and description
- Add man pages

Comment 3 Parag AN(पराग) 2006-07-06 10:00:20 UTC
== Not an official review as I'm not yet sponsored ==
   Mock build for development i386 is sucessfull

* MUST Items:
     - MUST: rpmlint shows no error. 
     - MUST: dist tag is present.
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package inotify-tools, in the
format inotify-tools.spec.
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: This package includes License file COPYING.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct (0ca1dd7a9bb0c6d0bbd084d8436b850f)
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like README.
      - MUST: Package did NOT contained any .la libtool archives.
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct

Comment 4 Dawid Gajownik 2006-07-06 13:28:07 UTC
I've e-mailed upstream about this compilation warning and he gave me
instructions how to fix it :-)

http://fedora.pl/~gajownik/inotify-tools.spec
http://fedora.pl/~gajownik/inotify-tools-2.2-2.src.rpm

* Thu Jul  6 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.2-2
- Fix compilation warnings

Comment 5 Michael J Knox 2006-07-19 08:29:21 UTC
I will do the review for this submission. 

Review for release 2:

* RPM name is OK
* Source inotify-tools-2.2.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK

Notes:

You should use http://download.sourceforge.com/ and not one of the mirrors. e.g. 

Source0: http://download.sourceforge.com/%{name}/%{name}-%{version}.tar.gz

Fix that up and I can't see any reason for not approving this. 

Comment 6 Dawid Gajownik 2006-07-31 19:30:26 UTC
Sorry for the delay - I was on a vacation.

I chose mirror because there are sometimes problems with connecting to
download.sourceforge.net.

* Mon Jul 31 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.2-3
- Fix URL

http://gajownik.zspswidwin.pl/inotify-tools.spec
http://gajownik.zspswidwin.pl/inotify-tools-2.2-3.src.rpm

Thanks for the review!

Comment 7 Michael J Knox 2006-08-01 05:13:54 UTC
Looks good. APPROVED. 

Please remember to close this review request once imported into CVS and built. 

Comment 8 Dawid Gajownik 2006-08-01 16:06:38 UTC
Package was built fine in devel :)

Comment 9 Mark McKinstry 2010-11-22 04:08:42 UTC
Package Change Request
======================
Package Name: inotify-tools
New Branches: el5 el6
Owners: drago01 mmckinst
InitialCC: drago01

I emailed Adel about an EPEL 5 and 6 version of inotify-tools. He's not a RHEL or CentOS user but I am so I'll take care of the EPEL 5 and 6 branch. The kernel for EPEL 4 (2.6.9) does not have inotify support which was added in 2.6.13 so leaving el4 off the branch list is intentional.

Comment 10 Adel Gadllah 2010-11-22 15:19:44 UTC
(In reply to comment #9)
> Package Change Request
> ======================
> Package Name: inotify-tools
> New Branches: el5 el6
> Owners: drago01 mmckinst
> InitialCC: drago01
> 
> I emailed Adel about an EPEL 5 and 6 version of inotify-tools. He's not a RHEL
> or CentOS user but I am so I'll take care of the EPEL 5 and 6 branch. The
> kernel for EPEL 4 (2.6.9) does not have inotify support which was added in
> 2.6.13 so leaving el4 off the branch list is intentional.

Which means that this line 
> Owners: drago01 mmckinst

Should be

> Owners: mmckinst drago01

(i.e having you as the primary maintainer)

Comment 11 Jason Tibbitts 2010-11-22 15:25:33 UTC
I've processed the request with the owners switched around.

Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-01-18 03:30:03 UTC
inotify-tools-3.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/inotify-tools-3.14-1.el5

Comment 13 Fedora Update System 2011-02-04 18:27:20 UTC
inotify-tools-3.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-02-25 14:40:42 UTC
inotify-tools-3.13-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/inotify-tools-3.13-3.el6

Comment 15 Fedora Update System 2011-03-03 01:18:43 UTC
Package inotify-tools-3.14-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing inotify-tools-3.14-1.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/inotify-tools-3.14-1.el6
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2011-03-18 19:26:10 UTC
inotify-tools-3.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Mark McKinstry 2014-09-10 01:00:57 UTC
Package Change Request
======================
Package Name: inotify-tools
New Branches: epel7
Owners: mmckinst drago01

Comment 18 Gwyn Ciesla 2014-09-10 10:13:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.